Subject: [bug#29820] [PATCH] services: cgit: Add more configuration fields.

From: Clément Lassieur <[email-masked]>
Date: Tue, 26 Dec 2017 14:54:21 +0100

Oleg Pykhalov <[email-masked]> writes:

> +  (project-list
> +   (list '())
> +   "A list of subdirectories inside of @code{repository-directory}, relative
> +to it, that should loaded as Git repositories.")

I forgot one thing: 'project-list' is a file, not a list of strings.  I
agree it's weird that cgit's documentation doesn't say it's a file.  I
see two solutions:

1. Change the type to 'string', so that people can set a file name.

2. Use a list type that would transparently transform its values into a
   file in the store, with the generated cgitrc file pointing to it.

The second solution is better because the user won't need to create the
file.